@ -0,0 +1,41 @@ | |||||
HELP.md | |||||
target/ | |||||
!.mvn/wrapper/maven-wrapper.jar | |||||
!**/src/main/** | |||||
!**/src/test/** | |||||
### common ### | |||||
target/ | |||||
class/ | |||||
### STS ### | |||||
.apt_generated | |||||
.classpath | |||||
.factorypath | |||||
.project | |||||
.settings | |||||
.springBeans | |||||
.sts4-cache | |||||
### IntelliJ IDEA ### | |||||
.idea | |||||
*.iws | |||||
*.iml | |||||
*.ipr | |||||
### NetBeans ### | |||||
/nbproject/private/ | |||||
/nbbuild/ | |||||
/dist/ | |||||
/nbdist/ | |||||
/.nb-gradle/ | |||||
build/ | |||||
### VS Code ### | |||||
.vscode/ |
@ -0,0 +1,117 @@ | |||||
/* | |||||
* Copyright 2007-present the original author or authors. | |||||
* | |||||
* Licensed under the Apache License, Version 2.0 (the "License"); | |||||
* you may not use this file except in compliance with the License. | |||||
* You may obtain a copy of the License at | |||||
* | |||||
* https://www.apache.org/licenses/LICENSE-2.0 | |||||
* | |||||
* Unless required by applicable law or agreed to in writing, software | |||||
* distributed under the License is distributed on an "AS IS" BASIS, | |||||
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. | |||||
* See the License for the specific language governing permissions and | |||||
* limitations under the License. | |||||
*/ | |||||
import java.net.*; | |||||
import java.io.*; | |||||
import java.nio.channels.*; | |||||
import java.util.Properties; | |||||
public class MavenWrapperDownloader { | |||||
private static final String WRAPPER_VERSION = "0.5.6"; | |||||
/** | |||||
* Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided. | |||||
*/ | |||||
private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/" | |||||
+ WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar"; | |||||
/** | |||||
* Path to the maven-wrapper.properties file, which might contain a downloadUrl property to | |||||
* use instead of the default one. | |||||
*/ | |||||
private static final String MAVEN_WRAPPER_PROPERTIES_PATH = | |||||
".mvn/wrapper/maven-wrapper.properties"; | |||||
/** | |||||
* Path where the maven-wrapper.jar will be saved to. | |||||
*/ | |||||
private static final String MAVEN_WRAPPER_JAR_PATH = | |||||
".mvn/wrapper/maven-wrapper.jar"; | |||||
/** | |||||
* Name of the property which should be used to override the default download url for the wrapper. | |||||
*/ | |||||
private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl"; | |||||
public static void main(String args[]) { | |||||
System.out.println("- Downloader started"); | |||||
File baseDirectory = new File(args[0]); | |||||
System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath()); | |||||
// If the maven-wrapper.properties exists, read it and check if it contains a custom | |||||
// wrapperUrl parameter. | |||||
File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH); | |||||
String url = DEFAULT_DOWNLOAD_URL; | |||||
if(mavenWrapperPropertyFile.exists()) { | |||||
FileInputStream mavenWrapperPropertyFileInputStream = null; | |||||
try { | |||||
mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile); | |||||
Properties mavenWrapperProperties = new Properties(); | |||||
mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream); | |||||
url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url); | |||||
} catch (IOException e) { | |||||
System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'"); | |||||
} finally { | |||||
try { | |||||
if(mavenWrapperPropertyFileInputStream != null) { | |||||
mavenWrapperPropertyFileInputStream.close(); | |||||
} | |||||
} catch (IOException e) { | |||||
// Ignore ... | |||||
} | |||||
} | |||||
} | |||||
System.out.println("- Downloading from: " + url); | |||||
File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH); | |||||
if(!outputFile.getParentFile().exists()) { | |||||
if(!outputFile.getParentFile().mkdirs()) { | |||||
System.out.println( | |||||
"- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'"); | |||||
} | |||||
} | |||||
System.out.println("- Downloading to: " + outputFile.getAbsolutePath()); | |||||
try { | |||||
downloadFileFromURL(url, outputFile); | |||||
System.out.println("Done"); | |||||
System.exit(0); | |||||
} catch (Throwable e) { | |||||
System.out.println("- Error downloading"); | |||||
e.printStackTrace(); | |||||
System.exit(1); | |||||
} | |||||
} | |||||
private static void downloadFileFromURL(String urlString, File destination) throws Exception { | |||||
if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) { | |||||
String username = System.getenv("MVNW_USERNAME"); | |||||
char[] password = System.getenv("MVNW_PASSWORD").toCharArray(); | |||||
Authenticator.setDefault(new Authenticator() { | |||||
@Override | |||||
protected PasswordAuthentication getPasswordAuthentication() { | |||||
return new PasswordAuthentication(username, password); | |||||
} | |||||
}); | |||||
} | |||||
URL website = new URL(urlString); | |||||
ReadableByteChannel rbc; | |||||
rbc = Channels.newChannel(website.openStream()); | |||||
FileOutputStream fos = new FileOutputStream(destination); | |||||
fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE); | |||||
fos.close(); | |||||
rbc.close(); | |||||
} | |||||
} |
@ -0,0 +1,2 @@ | |||||
distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.6.3/apache-maven-3.6.3-bin.zip | |||||
wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar |
@ -0,0 +1,4 @@ | |||||
FROM openjdk:8-jdk-alpine | |||||
VOLUME /tmp | |||||
ADD spring-boot-docker-1.0.jar app.jar | |||||
ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/app.jar"] |
@ -0,0 +1,310 @@ | |||||
#!/bin/sh | |||||
# ---------------------------------------------------------------------------- | |||||
# Licensed to the Apache Software Foundation (ASF) under one | |||||
# or more contributor license agreements. See the NOTICE file | |||||
# distributed with this work for additional information | |||||
# regarding copyright ownership. The ASF licenses this file | |||||
# to you under the Apache License, Version 2.0 (the | |||||
# "License"); you may not use this file except in compliance | |||||
# with the License. You may obtain a copy of the License at | |||||
# | |||||
# https://www.apache.org/licenses/LICENSE-2.0 | |||||
# | |||||
# Unless required by applicable law or agreed to in writing, | |||||
# software distributed under the License is distributed on an | |||||
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY | |||||
# KIND, either express or implied. See the License for the | |||||
# specific language governing permissions and limitations | |||||
# under the License. | |||||
# ---------------------------------------------------------------------------- | |||||
# ---------------------------------------------------------------------------- | |||||
# Maven Start Up Batch script | |||||
# | |||||
# Required ENV vars: | |||||
# ------------------ | |||||
# JAVA_HOME - location of a JDK home dir | |||||
# | |||||
# Optional ENV vars | |||||
# ----------------- | |||||
# M2_HOME - location of maven2's installed home dir | |||||
# MAVEN_OPTS - parameters passed to the Java VM when running Maven | |||||
# e.g. to debug Maven itself, use | |||||
# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000 | |||||
# MAVEN_SKIP_RC - flag to disable loading of mavenrc files | |||||
# ---------------------------------------------------------------------------- | |||||
if [ -z "$MAVEN_SKIP_RC" ] ; then | |||||
if [ -f /etc/mavenrc ] ; then | |||||
. /etc/mavenrc | |||||
fi | |||||
if [ -f "$HOME/.mavenrc" ] ; then | |||||
. "$HOME/.mavenrc" | |||||
fi | |||||
fi | |||||
# OS specific support. $var _must_ be set to either true or false. | |||||
cygwin=false; | |||||
darwin=false; | |||||
mingw=false | |||||
case "`uname`" in | |||||
CYGWIN*) cygwin=true ;; | |||||
MINGW*) mingw=true;; | |||||
Darwin*) darwin=true | |||||
# Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home | |||||
# See https://developer.apple.com/library/mac/qa/qa1170/_index.html | |||||
if [ -z "$JAVA_HOME" ]; then | |||||
if [ -x "/usr/libexec/java_home" ]; then | |||||
export JAVA_HOME="`/usr/libexec/java_home`" | |||||
else | |||||
export JAVA_HOME="/Library/Java/Home" | |||||
fi | |||||
fi | |||||
;; | |||||
esac | |||||
if [ -z "$JAVA_HOME" ] ; then | |||||
if [ -r /etc/gentoo-release ] ; then | |||||
JAVA_HOME=`java-config --jre-home` | |||||
fi | |||||
fi | |||||
if [ -z "$M2_HOME" ] ; then | |||||
## resolve links - $0 may be a link to maven's home | |||||
PRG="$0" | |||||
# need this for relative symlinks | |||||
while [ -h "$PRG" ] ; do | |||||
ls=`ls -ld "$PRG"` | |||||
link=`expr "$ls" : '.*-> \(.*\)$'` | |||||
if expr "$link" : '/.*' > /dev/null; then | |||||
PRG="$link" | |||||
else | |||||
PRG="`dirname "$PRG"`/$link" | |||||
fi | |||||
done | |||||
saveddir=`pwd` | |||||
M2_HOME=`dirname "$PRG"`/.. | |||||
# make it fully qualified | |||||
M2_HOME=`cd "$M2_HOME" && pwd` | |||||
cd "$saveddir" | |||||
# echo Using m2 at $M2_HOME | |||||
fi | |||||
# For Cygwin, ensure paths are in UNIX format before anything is touched | |||||
if $cygwin ; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME=`cygpath --unix "$M2_HOME"` | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME=`cygpath --unix "$JAVA_HOME"` | |||||
[ -n "$CLASSPATH" ] && | |||||
CLASSPATH=`cygpath --path --unix "$CLASSPATH"` | |||||
fi | |||||
# For Mingw, ensure paths are in UNIX format before anything is touched | |||||
if $mingw ; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME="`(cd "$M2_HOME"; pwd)`" | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`" | |||||
fi | |||||
if [ -z "$JAVA_HOME" ]; then | |||||
javaExecutable="`which javac`" | |||||
if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then | |||||
# readlink(1) is not available as standard on Solaris 10. | |||||
readLink=`which readlink` | |||||
if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then | |||||
if $darwin ; then | |||||
javaHome="`dirname \"$javaExecutable\"`" | |||||
javaExecutable="`cd \"$javaHome\" && pwd -P`/javac" | |||||
else | |||||
javaExecutable="`readlink -f \"$javaExecutable\"`" | |||||
fi | |||||
javaHome="`dirname \"$javaExecutable\"`" | |||||
javaHome=`expr "$javaHome" : '\(.*\)/bin'` | |||||
JAVA_HOME="$javaHome" | |||||
export JAVA_HOME | |||||
fi | |||||
fi | |||||
fi | |||||
if [ -z "$JAVACMD" ] ; then | |||||
if [ -n "$JAVA_HOME" ] ; then | |||||
if [ -x "$JAVA_HOME/jre/sh/java" ] ; then | |||||
# IBM's JDK on AIX uses strange locations for the executables | |||||
JAVACMD="$JAVA_HOME/jre/sh/java" | |||||
else | |||||
JAVACMD="$JAVA_HOME/bin/java" | |||||
fi | |||||
else | |||||
JAVACMD="`which java`" | |||||
fi | |||||
fi | |||||
if [ ! -x "$JAVACMD" ] ; then | |||||
echo "Error: JAVA_HOME is not defined correctly." >&2 | |||||
echo " We cannot execute $JAVACMD" >&2 | |||||
exit 1 | |||||
fi | |||||
if [ -z "$JAVA_HOME" ] ; then | |||||
echo "Warning: JAVA_HOME environment variable is not set." | |||||
fi | |||||
CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher | |||||
# traverses directory structure from process work directory to filesystem root | |||||
# first directory with .mvn subdirectory is considered project base directory | |||||
find_maven_basedir() { | |||||
if [ -z "$1" ] | |||||
then | |||||
echo "Path not specified to find_maven_basedir" | |||||
return 1 | |||||
fi | |||||
basedir="$1" | |||||
wdir="$1" | |||||
while [ "$wdir" != '/' ] ; do | |||||
if [ -d "$wdir"/.mvn ] ; then | |||||
basedir=$wdir | |||||
break | |||||
fi | |||||
# workaround for JBEAP-8937 (on Solaris 10/Sparc) | |||||
if [ -d "${wdir}" ]; then | |||||
wdir=`cd "$wdir/.."; pwd` | |||||
fi | |||||
# end of workaround | |||||
done | |||||
echo "${basedir}" | |||||
} | |||||
# concatenates all lines of a file | |||||
concat_lines() { | |||||
if [ -f "$1" ]; then | |||||
echo "$(tr -s '\n' ' ' < "$1")" | |||||
fi | |||||
} | |||||
BASE_DIR=`find_maven_basedir "$(pwd)"` | |||||
if [ -z "$BASE_DIR" ]; then | |||||
exit 1; | |||||
fi | |||||
########################################################################################## | |||||
# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central | |||||
# This allows using the maven wrapper in projects that prohibit checking in binary data. | |||||
########################################################################################## | |||||
if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found .mvn/wrapper/maven-wrapper.jar" | |||||
fi | |||||
else | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..." | |||||
fi | |||||
if [ -n "$MVNW_REPOURL" ]; then | |||||
jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar" | |||||
else | |||||
jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar" | |||||
fi | |||||
while IFS="=" read key value; do | |||||
case "$key" in (wrapperUrl) jarUrl="$value"; break ;; | |||||
esac | |||||
done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties" | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Downloading from: $jarUrl" | |||||
fi | |||||
wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" | |||||
if $cygwin; then | |||||
wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"` | |||||
fi | |||||
if command -v wget > /dev/null; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found wget ... using wget" | |||||
fi | |||||
if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then | |||||
wget "$jarUrl" -O "$wrapperJarPath" | |||||
else | |||||
wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" | |||||
fi | |||||
elif command -v curl > /dev/null; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Found curl ... using curl" | |||||
fi | |||||
if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then | |||||
curl -o "$wrapperJarPath" "$jarUrl" -f | |||||
else | |||||
curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f | |||||
fi | |||||
else | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo "Falling back to using Java to download" | |||||
fi | |||||
javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java" | |||||
# For Cygwin, switch paths to Windows format before running javac | |||||
if $cygwin; then | |||||
javaClass=`cygpath --path --windows "$javaClass"` | |||||
fi | |||||
if [ -e "$javaClass" ]; then | |||||
if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo " - Compiling MavenWrapperDownloader.java ..." | |||||
fi | |||||
# Compiling the Java class | |||||
("$JAVA_HOME/bin/javac" "$javaClass") | |||||
fi | |||||
if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then | |||||
# Running the downloader | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo " - Running MavenWrapperDownloader.java ..." | |||||
fi | |||||
("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR") | |||||
fi | |||||
fi | |||||
fi | |||||
fi | |||||
########################################################################################## | |||||
# End of extension | |||||
########################################################################################## | |||||
export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"} | |||||
if [ "$MVNW_VERBOSE" = true ]; then | |||||
echo $MAVEN_PROJECTBASEDIR | |||||
fi | |||||
MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS" | |||||
# For Cygwin, switch paths to Windows format before running java | |||||
if $cygwin; then | |||||
[ -n "$M2_HOME" ] && | |||||
M2_HOME=`cygpath --path --windows "$M2_HOME"` | |||||
[ -n "$JAVA_HOME" ] && | |||||
JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"` | |||||
[ -n "$CLASSPATH" ] && | |||||
CLASSPATH=`cygpath --path --windows "$CLASSPATH"` | |||||
[ -n "$MAVEN_PROJECTBASEDIR" ] && | |||||
MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"` | |||||
fi | |||||
# Provide a "standardized" way to retrieve the CLI args that will | |||||
# work with both Windows and non-Windows executions. | |||||
MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@" | |||||
export MAVEN_CMD_LINE_ARGS | |||||
WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain | |||||
exec "$JAVACMD" \ | |||||
$MAVEN_OPTS \ | |||||
-classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \ | |||||
"-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \ | |||||
${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@" |
@ -0,0 +1,182 @@ | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Licensed to the Apache Software Foundation (ASF) under one | |||||
@REM or more contributor license agreements. See the NOTICE file | |||||
@REM distributed with this work for additional information | |||||
@REM regarding copyright ownership. The ASF licenses this file | |||||
@REM to you under the Apache License, Version 2.0 (the | |||||
@REM "License"); you may not use this file except in compliance | |||||
@REM with the License. You may obtain a copy of the License at | |||||
@REM | |||||
@REM https://www.apache.org/licenses/LICENSE-2.0 | |||||
@REM | |||||
@REM Unless required by applicable law or agreed to in writing, | |||||
@REM software distributed under the License is distributed on an | |||||
@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY | |||||
@REM KIND, either express or implied. See the License for the | |||||
@REM specific language governing permissions and limitations | |||||
@REM under the License. | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Maven Start Up Batch script | |||||
@REM | |||||
@REM Required ENV vars: | |||||
@REM JAVA_HOME - location of a JDK home dir | |||||
@REM | |||||
@REM Optional ENV vars | |||||
@REM M2_HOME - location of maven2's installed home dir | |||||
@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands | |||||
@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending | |||||
@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven | |||||
@REM e.g. to debug Maven itself, use | |||||
@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000 | |||||
@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files | |||||
@REM ---------------------------------------------------------------------------- | |||||
@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on' | |||||
@echo off | |||||
@REM set title of command window | |||||
title %0 | |||||
@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on' | |||||
@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO% | |||||
@REM set %HOME% to equivalent of $HOME | |||||
if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%") | |||||
@REM Execute a user defined script before this one | |||||
if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre | |||||
@REM check for pre script, once with legacy .bat ending and once with .cmd ending | |||||
if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat" | |||||
if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd" | |||||
:skipRcPre | |||||
@setlocal | |||||
set ERROR_CODE=0 | |||||
@REM To isolate internal variables from possible post scripts, we use another setlocal | |||||
@setlocal | |||||
@REM ==== START VALIDATION ==== | |||||
if not "%JAVA_HOME%" == "" goto OkJHome | |||||
echo. | |||||
echo Error: JAVA_HOME not found in your environment. >&2 | |||||
echo Please set the JAVA_HOME variable in your environment to match the >&2 | |||||
echo location of your Java installation. >&2 | |||||
echo. | |||||
goto error | |||||
:OkJHome | |||||
if exist "%JAVA_HOME%\bin\java.exe" goto init | |||||
echo. | |||||
echo Error: JAVA_HOME is set to an invalid directory. >&2 | |||||
echo JAVA_HOME = "%JAVA_HOME%" >&2 | |||||
echo Please set the JAVA_HOME variable in your environment to match the >&2 | |||||
echo location of your Java installation. >&2 | |||||
echo. | |||||
goto error | |||||
@REM ==== END VALIDATION ==== | |||||
:init | |||||
@REM Find the project base dir, i.e. the directory that contains the folder ".mvn". | |||||
@REM Fallback to current working directory if not found. | |||||
set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR% | |||||
IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir | |||||
set EXEC_DIR=%CD% | |||||
set WDIR=%EXEC_DIR% | |||||
:findBaseDir | |||||
IF EXIST "%WDIR%"\.mvn goto baseDirFound | |||||
cd .. | |||||
IF "%WDIR%"=="%CD%" goto baseDirNotFound | |||||
set WDIR=%CD% | |||||
goto findBaseDir | |||||
:baseDirFound | |||||
set MAVEN_PROJECTBASEDIR=%WDIR% | |||||
cd "%EXEC_DIR%" | |||||
goto endDetectBaseDir | |||||
:baseDirNotFound | |||||
set MAVEN_PROJECTBASEDIR=%EXEC_DIR% | |||||
cd "%EXEC_DIR%" | |||||
:endDetectBaseDir | |||||
IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig | |||||
@setlocal EnableExtensions EnableDelayedExpansion | |||||
for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a | |||||
@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS% | |||||
:endReadAdditionalConfig | |||||
SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe" | |||||
set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar" | |||||
set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain | |||||
set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar" | |||||
FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO ( | |||||
IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B | |||||
) | |||||
@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central | |||||
@REM This allows using the maven wrapper in projects that prohibit checking in binary data. | |||||
if exist %WRAPPER_JAR% ( | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Found %WRAPPER_JAR% | |||||
) | |||||
) else ( | |||||
if not "%MVNW_REPOURL%" == "" ( | |||||
SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar" | |||||
) | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Couldn't find %WRAPPER_JAR%, downloading it ... | |||||
echo Downloading from: %DOWNLOAD_URL% | |||||
) | |||||
powershell -Command "&{"^ | |||||
"$webclient = new-object System.Net.WebClient;"^ | |||||
"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^ | |||||
"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^ | |||||
"}"^ | |||||
"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^ | |||||
"}" | |||||
if "%MVNW_VERBOSE%" == "true" ( | |||||
echo Finished downloading %WRAPPER_JAR% | |||||
) | |||||
) | |||||
@REM End of extension | |||||
@REM Provide a "standardized" way to retrieve the CLI args that will | |||||
@REM work with both Windows and non-Windows executions. | |||||
set MAVEN_CMD_LINE_ARGS=%* | |||||
%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %* | |||||
if ERRORLEVEL 1 goto error | |||||
goto end | |||||
:error | |||||
set ERROR_CODE=1 | |||||
:end | |||||
@endlocal & set ERROR_CODE=%ERROR_CODE% | |||||
if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost | |||||
@REM check for post script, once with legacy .bat ending and once with .cmd ending | |||||
if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat" | |||||
if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd" | |||||
:skipRcPost | |||||
@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on' | |||||
if "%MAVEN_BATCH_PAUSE%" == "on" pause | |||||
if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE% | |||||
exit /B %ERROR_CODE% |
@ -0,0 +1,94 @@ | |||||
<?xml version="1.0" encoding="UTF-8"?> | |||||
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" | |||||
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd"> | |||||
<modelVersion>4.0.0</modelVersion> | |||||
<parent> | |||||
<groupId>org.springframework.boot</groupId> | |||||
<artifactId>spring-boot-starter-parent</artifactId> | |||||
<version>2.3.3.RELEASE</version> | |||||
<relativePath/> <!-- lookup parent from repository --> | |||||
</parent> | |||||
<groupId>com.wyz</groupId> | |||||
<artifactId>DeliveryTakingSystem</artifactId> | |||||
<version>0.0.2-SNAPSHOT</version> | |||||
<name>simpleDEMO</name> | |||||
<description>快递代取业务</description> | |||||
<properties> | |||||
<java.version>1.8</java.version> | |||||
<docker.image.prefix>springboot_wyz</docker.image.prefix> | |||||
</properties> | |||||
<dependencies> | |||||
<dependency> | |||||
<groupId>junit</groupId> | |||||
<artifactId>junit</artifactId> | |||||
<scope>test</scope> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>mysql</groupId> | |||||
<artifactId>mysql-connector-java</artifactId> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.mybatis</groupId> | |||||
<artifactId>mybatis</artifactId> | |||||
<version>3.5.6</version> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.projectlombok</groupId> | |||||
<artifactId>lombok</artifactId> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.springframework.boot</groupId> | |||||
<artifactId>spring-boot-starter-web</artifactId> | |||||
</dependency> | |||||
<dependency> | |||||
<groupId>org.springframework.boot</groupId> | |||||
<artifactId>spring-boot-starter-test</artifactId> | |||||
<scope>test</scope> | |||||
<exclusions> | |||||
<exclusion> | |||||
<groupId>org.junit.vintage</groupId> | |||||
<artifactId>junit-vintage-engine</artifactId> | |||||
</exclusion> | |||||
</exclusions> | |||||
</dependency> | |||||
</dependencies> | |||||
<build> | |||||
<plugins> | |||||
<plugin> | |||||
<groupId>org.springframework.boot</groupId> | |||||
<artifactId>spring-boot-maven-plugin</artifactId> | |||||
</plugin> | |||||
<!-- Docker maven plugin --> | |||||
<plugin> | |||||
<groupId>com.spotify</groupId> | |||||
<artifactId>docker-maven-plugin</artifactId> | |||||
<version>1.0.0</version> | |||||
<configuration> | |||||
<imageName>${docker.image.prefix}/${project.artifactId}</imageName> | |||||
<dockerDirectory>src/main/docker</dockerDirectory> | |||||
<resources> | |||||
<resource> | |||||
<targetPath>/</targetPath> | |||||
<directory>${project.build.directory}</directory> | |||||
<include>${project.build.finalName}.jar</include> | |||||
</resource> | |||||
</resources> | |||||
</configuration> | |||||
</plugin> | |||||
<!-- Docker maven plugin --> | |||||
</plugins> | |||||
</build> | |||||
</project> |
@ -0,0 +1,13 @@ | |||||
package com.wyz.demo; | |||||
import org.springframework.boot.SpringApplication; | |||||
import org.springframework.boot.autoconfigure.SpringBootApplication; | |||||
@SpringBootApplication | |||||
public class Application { | |||||
public static void main(String[] args) { | |||||
SpringApplication.run(Application.class, args); | |||||
} | |||||
} |
@ -0,0 +1,30 @@ | |||||
package com.wyz.demo.config; | |||||
import org.apache.ibatis.io.Resources; | |||||
import org.apache.ibatis.session.SqlSession; | |||||
import org.apache.ibatis.session.SqlSessionFactory; | |||||
import org.apache.ibatis.session.SqlSessionFactoryBuilder; | |||||
import org.springframework.beans.factory.annotation.Autowired; | |||||
import org.springframework.context.annotation.Bean; | |||||
import org.springframework.context.annotation.Configuration; | |||||
import org.springframework.context.annotation.Scope; | |||||
import java.io.InputStream; | |||||
@Configuration | |||||
public class BasicConfig { | |||||
// 提供SqlSession | |||||
@Bean | |||||
@Scope("prototype") | |||||
public SqlSession sqlSession(){ | |||||
try{ | |||||
InputStream inputStream = Resources.getResourceAsStream("mybatis-config.xml"); | |||||
return new SqlSessionFactoryBuilder().build(inputStream).openSession(); | |||||
}catch (Exception e){ | |||||
return null; | |||||
} | |||||
} | |||||
} |
@ -0,0 +1,19 @@ | |||||
package com.wyz.demo.config; | |||||
import com.wyz.demo.service.UserService; | |||||
import org.apache.ibatis.session.SqlSession; | |||||
import org.springframework.beans.factory.annotation.Autowired; | |||||
import org.springframework.context.annotation.Bean; | |||||
import org.springframework.context.annotation.Configuration; | |||||
@Configuration | |||||
public class MapperConfig { | |||||
@Autowired | |||||
public SqlSession sqlSession; | |||||
@Bean | |||||
public UserService userService(){ | |||||
return sqlSession.getMapper(UserService.class); | |||||
} | |||||
} |
@ -0,0 +1,39 @@ | |||||
package com.wyz.demo.controller; | |||||
import com.wyz.demo.dto.UserDTO; | |||||
import com.wyz.demo.po.User; | |||||
import com.wyz.demo.service.UserService; | |||||
import lombok.extern.slf4j.Slf4j; | |||||
import org.springframework.beans.factory.annotation.Autowired; | |||||
import org.springframework.stereotype.Controller; | |||||
import org.springframework.web.bind.annotation.*; | |||||
@Slf4j | |||||
@RestController | |||||
@RequestMapping("/user") | |||||
public class UserController { | |||||
@Autowired | |||||
public UserService userService; | |||||
@GetMapping("/hello") | |||||
public String simpleString(){ | |||||
return "<h2>/hello</h2><br>"; | |||||
} | |||||
@PostMapping(value = "/add", produces = "application/json") | |||||
public void f(UserDTO u){ | |||||
log.info("-->",u); | |||||
User uu = new User(); | |||||
uu.setId(u.getId()); | |||||
uu.setUsername(u.getUsername()); | |||||
uu.setPassword(u.getPassword()); | |||||
uu.setPhone(u.getPhone()); | |||||
userService.addUser(uu); | |||||
} | |||||
} |
@ -0,0 +1,19 @@ | |||||
package com.wyz.demo.dto; | |||||
import lombok.Data; | |||||
import java.util.Date; | |||||
@Data | |||||
public class OrderDTO { | |||||
public int orderId; | |||||
public String description; | |||||
public Date datetime; | |||||
public String location; | |||||
public String comment; | |||||
public Date timestamp; | |||||
public int senderId; | |||||
public int receiverId; | |||||
public String status; | |||||
} |
@ -0,0 +1,11 @@ | |||||
package com.wyz.demo.dto; | |||||
import lombok.Data; | |||||
@Data | |||||
public class UserDTO { | |||||
public int id; | |||||
public String username; | |||||
public String password; | |||||
public String phone; | |||||
} |
@ -0,0 +1,27 @@ | |||||
package com.wyz.demo.po; | |||||
import lombok.Data; | |||||
import java.util.Date; | |||||
@Data | |||||
public class Order { | |||||
public int orderId; | |||||
public String description; | |||||
public Date datetime; | |||||
public String location; | |||||
public String comment; | |||||
public Date timestamp; | |||||
public int senderId; | |||||
public int receiverId; | |||||
public String status; | |||||
} | |||||
@ -0,0 +1,13 @@ | |||||
package com.wyz.demo.po; | |||||
import lombok.Data; | |||||
@Data | |||||
public class User { | |||||
public int id; | |||||
public String username; | |||||
public String password; | |||||
public String phone; | |||||
} |
@ -0,0 +1,30 @@ | |||||
package com.wyz.demo.service; | |||||
import com.wyz.demo.po.User; | |||||
import org.springframework.stereotype.Service; | |||||
public interface UserService { | |||||
// 注册用户(添加) | |||||
public void addUser(User user); | |||||
// 查找用户: 根据id | |||||
public User findUserById(int id); | |||||
// 查找用户: 根据username | |||||
} | |||||
@ -0,0 +1 @@ | |||||
server.port=8081 |
@ -0,0 +1,19 @@ | |||||
<?xml version="1.0" encoding="UTF-8" ?> | |||||
<!DOCTYPE mapper | |||||
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" | |||||
"http://mybatis.org/dtd/mybatis-3-mapper.dtd"> | |||||
<!-- 实现哪个Dao --> | |||||
<mapper namespace="com.wyz.demo.service.UserService"> | |||||
<insert id="addUser" parameterType="User"> | |||||
insert into user (id,username,password,phone) values (#{id},#{username},#{password}, #{phone}) | |||||
</insert> | |||||
<select id="findUserById" resultType="com.wyz.demo.po.User" parameterType="int"> | |||||
select * from user where id = #{id} | |||||
</select> | |||||
</mapper> |
@ -0,0 +1,45 @@ | |||||
<?xml version="1.0" encoding="UTF-8" ?> | |||||
<!DOCTYPE configuration | |||||
PUBLIC "-//mybatis.org//DTD Config 3.0//EN" | |||||
"http://mybatis.org/dtd/mybatis-3-config.dtd"> | |||||
<configuration> | |||||
<!-- 设置 --> | |||||
<settings> | |||||
<setting name="cacheEnabled" value="true"/> | |||||
</settings> | |||||
<!-- 类的别名 --> | |||||
<typeAliases> | |||||
<!-- 手动一个个指定 --> | |||||
<typeAlias alias="User" type="com.wyz.demo.po.User"/> | |||||
<typeAlias alias="Order" type="com.wyz.demo.po.Order"/> | |||||
<!-- <!– 直接扫描包,一次性处理里面的所有类 –>--> | |||||
<!-- <package name="cn.test.ssm.po"></package>--> | |||||
</typeAliases> | |||||
<!-- 数据库配置 --> | |||||
<environments default="dev"> | |||||
<environment id="dev"> | |||||
<transactionManager type="JDBC"/> | |||||
<dataSource type="POOLED"> | |||||
<property name="driver" value="com.mysql.cj.jdbc.Driver"/> | |||||
<property name="url" value="jdbc:mysql://localhost:3306/DeliveryTakingSystem?serverTimezone=UTC"/> | |||||
<property name="username" value="root"/> | |||||
<property name="password" value="100299"/> | |||||
</dataSource> | |||||
</environment> | |||||
</environments> | |||||
<!-- mapper.xml的位置 | |||||
放在resources目录下 --> | |||||
<mappers> | |||||
<mapper resource="mapper/UserMapper.xml"/> | |||||
</mappers> | |||||
</configuration> |
@ -0,0 +1,47 @@ | |||||
package com.wyz.demo; | |||||
import com.wyz.demo.po.User; | |||||
import com.wyz.demo.service.UserService; | |||||
import org.apache.ibatis.session.SqlSession; | |||||
import org.apache.ibatis.session.SqlSessionFactory; | |||||
import org.junit.After; | |||||
import org.junit.jupiter.api.Test; | |||||
import org.junit.runner.RunWith; | |||||
import org.springframework.beans.factory.annotation.Autowired; | |||||
import org.springframework.boot.test.context.SpringBootTest; | |||||
import org.springframework.test.context.junit4.SpringRunner; | |||||
@RunWith(SpringRunner.class) | |||||
@SpringBootTest | |||||
class ApplicationTests { | |||||
@Autowired | |||||
public SqlSession sqlSession; | |||||
@Autowired | |||||
public SqlSession s2; | |||||
@Test | |||||
void contextLoads() { | |||||
} | |||||
@Test | |||||
void f(){ | |||||
// UserService mapper = sqlSession.getMapper(UserService.class); | |||||
// mapper.addUser(new User("tony","qaz123","110")); | |||||
// sqlSession.commit(); | |||||
// System.out.println(sqlSession); | |||||
// System.out.println(s2); | |||||
} | |||||
} |
@ -0,0 +1,11 @@ | |||||
use DeliveryTakingSystem; | |||||
create table `user`( | |||||
id int auto_increment, | |||||
username varchar(20), | |||||
`password` varchar(20), | |||||
`phone` varchar(20), | |||||
primary key(id) | |||||
); |